__gnu_pbds::detail::dumnode_const_iterator< Key, Data, _Alloc > Struct Template Reference

`#include <null_node_metadata.hpp>`

## Public Types

typedef const_iterator | const_reference
typedef const_reference | reference
typedef const_iterator | value_type

## Detailed Description

template<typename Key, typename Data, typename _Alloc>
struct __gnu_pbds::detail::dumnode_const_iterator< Key, Data, _Alloc >

Constant node iterator.

Definition at line 52 of file null_node_metadata.hpp.

## Member Typedef Documentation

## const_reference

template<typename Key , typename Data , typename _Alloc >

typedef const_iterator __gnu_pbds::detail::dumnode_const_iterator< Key, Data, _Alloc >::const_reference

Definition at line 60 of file null_node_metadata.hpp.

## reference

template<typename Key , typename Data , typename _Alloc >

typedef const_reference __gnu_pbds::detail::dumnode_const_iterator< Key, Data, _Alloc >::reference

Definition at line 61 of file null_node_metadata.hpp.

## value_type

template<typename Key , typename Data , typename _Alloc >

typedef const_iterator __gnu_pbds::detail::dumnode_const_iterator< Key, Data, _Alloc >::value_type

Definition at line 59 of file null_node_metadata.hpp.

The documentation for this struct was generated from the following file:

- null_node_metadata.hpp